aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2018-08-02 08:28:04 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2018-08-02 08:28:04 +0000
commitb61bbe1ec8bd0a3611b208dbefdae60a60cff266 (patch)
tree9eb4da7c42110803193c0156f85076bc8da203a3
parentc0523d40441c08975b07481ed7c0af6fefef09ea (diff)
tcwg-host: Fix Omair's authorized_keys and make tcwg-host/run.sh more robust
Change-Id: Iae4aa25a2d3503c0e3441ec88b8452f8bc2df4cc
-rw-r--r--tcwg-base/home-data/omair.javaid/.ssh/authorized_keys (renamed from tcwg-base/home-data/omair.javaid/authorized_keys)0
-rwxr-xr-xtcwg-base/tcwg-host/run.sh6
2 files changed, 5 insertions, 1 deletions
diff --git a/tcwg-base/home-data/omair.javaid/authorized_keys b/tcwg-base/home-data/omair.javaid/.ssh/authorized_keys
index 4f91f11f..4f91f11f 100644
--- a/tcwg-base/home-data/omair.javaid/authorized_keys
+++ b/tcwg-base/home-data/omair.javaid/.ssh/authorized_keys
diff --git a/tcwg-base/tcwg-host/run.sh b/tcwg-base/tcwg-host/run.sh
index e2ca6b25..55a0b1b0 100755
--- a/tcwg-base/tcwg-host/run.sh
+++ b/tcwg-base/tcwg-host/run.sh
@@ -17,7 +17,11 @@ fi
while read line; do
user=$(echo "$line" | cut -d: -f 1)
if grep "^$group:x:" /home-data/group | cut -d: -f 4 | grep -q "$user,\?"; then
- new-user.sh --update true --passwd "$line"
+ new-user.sh --update true --passwd "$line" &
+ res=0; wait $! || res=$?
+ if [ x"$res" = x"0" ]; then
+ echo "WARNING: User configuration failed: $line"
+ fi
fi
done </home-data/passwd